> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timesdb.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a key



## OpenAPI

````yaml post /keys
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /keys:
    post:
      tags:
        - keys
      summary: Post
      operationId: post_keys_post
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyResponse'
      security:
        - HTTPBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ApiKeyResponse:
      properties:
        id:
          type: string
          title: Id
        status:
          $ref: '#/components/schemas/ApiKeyStatus'
        secret:
          type: string
          title: Secret
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - status
        - secret
        - created_at
      title: ApiKeyResponse
    ApiKeyStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
      title: ApiKeyStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.